ResponseCodeUrlMapping (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.mapping

## [Java] Class ResponseCodeUrlMapping

- org.codehaus.groovy.grails.web.mapping.ResponseCodeUrlMapping

- A Url mapping for http response codes.

  Authors:
    mike
  Since:
    1.0-RC1

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractUrlMapping` | `actionName, constraints, controllerName, forwardURI, httpMethod, mappingName, namespace, parameterValues, parseRequest, pluginName, redirectInfo, restful, servletContext, version, viewName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseCodeUrlMapping (UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)`
    `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)`
    `java.lang.Object` | `getActionName()`
    `ConstrainedProperty[]` | `getConstraints()`
    `java.lang.Object` | `getControllerName()`
    `java.lang.Class<?>` | `getExceptionType()`
    `UrlMappingData` | `getUrlData()`
    `java.lang.Object` | `getViewName()`
    `UrlMappingInfo` | `match(java.lang.String uri)`
    `UrlMappingInfo` | `match(int responseCode)`
    `void` | `setExceptionType(java.lang.Class<?> exClass)`
    `void` | `setParameterValues(java.util.Map parameterValues)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMapping` | `getActionName, getConstraints, getControllerName, getHttpMethod, getMappingName, getNamespace, getPluginName, getRedirectInfo, getVersion, getViewName, hasRuntimeVariable, isRestfulMapping, setMappingName, setParameterValues, setParseRequest, setRestfulMapping`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ResponseCodeUrlMapping(UrlMappingData urlData, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, ConstrainedProperty[] constraints, javax.servlet.ServletContext servletContext)

  - ### Method Detail

    - #### public int compareTo(java.lang.Object o)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map values, java.lang.String encoding, java.lang.String fragment)

    - #### @java.lang.Override public java.lang.Object getActionName()

    - #### @java.lang.Override public ConstrainedProperty[] getConstraints()

    - #### @java.lang.Override public java.lang.Object getControllerName()

    - #### public java.lang.Class<?> getExceptionType()

    - #### public UrlMappingData getUrlData()

    - #### @java.lang.Override public java.lang.Object getViewName()

    - #### public UrlMappingInfo match(java.lang.String uri)

    - #### public UrlMappingInfo match(int responseCode)

    - #### public void setExceptionType(java.lang.Class<?> exClass)

    - #### @java.lang.Override public void setParameterValues(java.util.Map parameterValues)